
Foreman - Bug #4161

NoMethodError: undefined method `name' on non-foreman ActiveRecord models

01/22/2014 11:28 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Rails   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Models that do not define 'name' method will throw a 'NoMethodError' when #to_s method is called.

Associated revisions

Revision 12cc808b - 01/22/2014 05:56 PM - Dmitri Dolguikh 

fixes #4161: plugin ActiveRecord models that do no define 'name' method no longer throw NoMethodError when to_s is called

Revision 1bbee158 - 01/23/2014 11:31 AM - Dmitri Dolguikh 

fixes #4161: plugin ActiveRecord models that do no define 'name' method no longer throw NoMethodError when to_s is called

(cherry picked from commit 12cc808b8b39d9796671b63c5200d4d2e5d3ef79)

History

#1 - 01/22/2014 11:28 AM - Anonymous

- Status changed from New to Assigned

#2 - 01/22/2014 11:31 AM - Anonymous

- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/foreman/pull/1185

#3 - 01/22/2014 05:03 PM - Dominic Cleal

- Category set to Rails

- Target version set to 1.9.2

- translation missing: en.field_release set to 2

#4 - 01/22/2014 06:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 12cc808b8b39d9796671b63c5200d4d2e5d3ef79.
